QGIS Application - Feature request #540
Patch for QgsRasterLayerProperties and QgsRasterLayerPropertiesBase.ui addresses Ticket #443
2007-01-16 04:53 PM - ersts-amnh-org -

Status: Closed

Priority: Low

Assignee: Tim Sutton

Category: Rasters

Pull Request or Patch supplied: Resolution: duplicate
Easy fix?: No Copied to github as #: 10599
Description

This is an update of the [[QgsRasterLayerProperties]] Gui that will take advantage of the recent changes made to [[QgsRasterLayer]].
With this patch, users will be able to set the noDataValue and apply simple stretches. This patch also address Ticket #443 and to some
degree Ticket #441.

At this time, the [[NoDataValue]] is one double which is applied to all three bands (in the case of a multi band color image. It would not be
difficult to extend this functionality to allow fthe user to define either a single value or specific values for each band. If the later is chosen, it
is suggest that another tab be added to the raster properties window.

History

#1 - 2007-01-16 06:46 PM - Tim Sutton
- Status changed from Open to In Progress

Great patch! There are some small issues with state handling as discussed on irc so | will hold off applying the patch to trunk until the issue is resolved
(also as discussed on irc).

#2 - 2007-11-30 09:19 PM - ersts -
- Resolution set to duplicate
- Status changed from In Progress to Closed

I am marking this as duplicate as there is a whole branch now dedicated to addressing these changes and as well as numerous others, and this is patch is

no longer valid/relevant

#3 - 2009-08-22 12:52 AM - Anonymous

Milestone Version 0.9.1 deleted
